Apinoa Docs

Product

从 Google Shopping 获取商品页面:详情、规格及在售商家。

查看原始 .mdx
GET | POST /v1/google-shopping/product

参数可以用 GET 的查询字符串发送,也可以用 POST 的 JSON 请求体发送,两者等价。

请求

curl "https://gateway.apinoa.com/v1/google-shopping/product?id=14699928440903523478&region=US" \
  -H "x-api-key: $APINOA_API_KEY"

参数

参数类型必填说明
idstringThe product, as a search item's id carries it.
includestringoffers · offers:5 · offers:all — every merchant selling the product, 10 per request after the 3 the page shows. Depth counts requests and each is charged; all walks to the end, capped at 20.
regionenumThe market, ISO 3166-1 alpha-2: US (default), GB, CA, AU. Sets the shops, prices and currency. US GB CA AU
urlstringA Google Shopping product link instead of id (the url a search item carries).

这些参数及所有响应类型也写在OpenAPI 文档中。

响应

在 data 中返回 Product。 真实响应的节选:数组只保留前几项,长文本已截断。

{
  "success": true,
  "data": {
    "marketplace": "google-shopping",
    "id": "14699928440903523478",
    "url": "https://www.google.com/search?ibp=oshop&q=Hoka+Men%27s+Clifton+11&prds…",
    "title": "Hoka Men's Clifton 11",
    "price": {"currency": "USD", "amount": 154.95},
    "brand": "Hoka One One",
    "rating": {
      "average": 4.72,
      "count": 445,
      "distribution": {"1": 3, "2": 1, "3": 4, "4": 11, "5": 84},
      "starCounts": {"1": 11, "2": 2, "3": 14, "4": 46, "5": 372}
    },
    "seller": {
      "id": "15872",
      "name": "Zappos.com",
      "logoUrl": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.zappos.co…",
      "rating": {"average": 4.8}
    },
    "badges": [],
    "promotions": [],
    "attributes": [{"name": "Size", "value": "Size 5, Size 5½, Size 6, Size 6½, Size 7, Size 7½, Size 8, Size 8½, Si…"}],
    "groupId": "14699928440903523478",
    "description": "The Men's HOKA Clifton 11 Running Shoe is a lightweight shoe for runni…",
    "features": [],
    "media": {"images": ["https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcSwvRhrsajonYuP…"], "videos": []},
    "category": [],
    "options": [
      {
        "id": "Color",
        "name": "Color",
        "values": [
          {
            "id": "EigiBWNvbG9yKh9hbnRpcXVlIG9saXZlIC8gcml2ZXIgcm9jayBncmV5",
            "name": "Antique Olive / River Rock Grey",
            "imageUrl": "https://encrypted-tbn1.gstatic.com/shopping?q=tbn:ANd9GcSTx7SmeSRrNlMr…"
          }
        ]
      }
    ],
    "variants": [],
    "offers": [
      {
        "seller": {
          "id": "15872",
          "name": "Zappos.com",
          "logoUrl": "https://encrypted-tbn3.gstatic.com/faviconV2?url=https://www.zappos.co…",
          "rating": {"average": 4.8}
        },
        "price": {"currency": "USD", "amount": 154.95},
        "inStock": true,
        "status": "In stock online",
        "delivery": {"estimate": "Free delivery between Sat - Mon", "free": true},
        "ext": {
          "title": "HOKA Clifton 11 Men's Running Shoes Galactic Grey/Stellar Grey : 10 D…",
          "returns": "Free 365-day returns",
          "offerId": "6449949928584705062",
          "badges": ["Best price"],
          "url": "https://www.zappos.com/product/10047344/color/1107224?utm_medium=fpa&u…"
        }
      }
    ],
    "reviewSummary": "Users praise these shoes for their exceptional comfort, lightweight fe…",
    "reviewAspects": [{"name": "Comfort", "positive": 130, "negative": 7}],
    "boxContents": [],
    "reviews": [
      {
        "id": "PR_3P_f5ad9bac86f8a072818655448a2d2a25",
        "author": "Joshua W",
        "authorAvatarUrl": "https://lh3.googleusercontent.com/shsm/AGYqVK3f_a0qsNdewufUaN9jNMjhBA2…",
        "rating": 3,
        "title": "Looking for some help",
        "body": "The shoes feel great.. the very light and comfortable under the foot….…",
        "images": [],
        "syndicatedFrom": "ewavedemo.com",
        "ext": {"dateText": "2 months ago"}
      }
    ],
    "ext": {
      "aspectDetails": [
        {
          "name": "Comfort",
          "positive": "Comfortable",
          "negative": "Uncomfortable",
          "summary": "Users find the shoes to be very comfortable, with many experiencing a…"
        }
      ],
      "reviewImageCount": 39,
      "insights": [
        {
          "topic": "Comfort (Midsole, Cushioning)",
          "cards": [
            {
              "kind": "review",
              "source": "Tom's Guide",
              "title": "I ran 35 miles in the Hoka Clifton 11 and it’s a comfortable daily tra…",
              "url": "https://www.tomsguide.com/wellness/running/hoka-clifton-11-review",
              "favicon": "https://encrypted-tbn0.gstatic.com/faviconV2?url=https://www.tomsguide…",
              "pros": ["Comfortable upper"],
              "more": "4 more pros and cons",
              "dateText": "2mo"
            }
          ]
        }
      ],
      "discussions": [
        {
          "title": "Have you upgraded to the new HOKA Clifton 11 yet? We've been testing o…",
          "url": "https://www.facebook.com/RoadRunnerSports/posts/have-you-upgraded-to-t…",
          "source": "Facebook",
          "favicon": "https://encrypted-tbn2.gstatic.com/faviconV2?url=https://www.facebook.…",
          "dateText": "3 months ago",
          "answers": [
            {
              "text": "A supercritical ProGlide+ midsole brings it in line with its daily tra…",
              "url": "https://www.facebook.com/RoadRunnerSports/posts/have-you-upgraded-to-t…"
            }
          ]
        }
      ],
      "relatedProducts": [
        {
          "id": "11647404279960666288",
          "url": "https://www.google.com/search?ibp=oshop&q=HOKA+Men%27s+Rincon+4&prds=c…",
          "title": "HOKA Men's Rincon 4",
          "price": {"currency": "USD", "amount": 80},
          "listPrice": {"currency": "USD", "amount": 125},
          "seller": "JD Sports",
          "rating": {"average": 4.4},
          "reviewCountText": "1k+",
          "badges": ["36% OFF"],
          "imageUrl": "https://encrypted-tbn3.gstatic.com/shopping?q=tbn:ANd9GcSGvxJsiQ4WzXyw…",
          "shelf": "More options"
        }
      ],
      "typicalPrice": {"min": {"currency": "USD", "amount": 155}, "max": {"currency": "USD", "amount": 165}},
      "typicalPriceText": "Typically $155 to $165",
      "priceHistory": [
        {
          "seller": "Zappos.com",
          "points": [{"date": "2026-08-13", "price": {"currency": "USD", "amount": 155}}]
        }
      ]
    }
  }
}

错误

状态代码含义
400INVALID_PARAMS参数缺失、未知、超出范围,或该引擎不接受。消息中会指出是哪一个。
401UNAUTHORIZED缺少 x-api-key 请求头,或密钥已吊销或未知。
402INSUFFICIENT_BALANCE余额不足以支付本次调用。请在控制台充值。
404PRODUCT_NOT_FOUNDGoogle Shopping 上没有该商品。消息中会给出该 id。
429MARKETPLACE_SATURATED并发调用过多。请等待 Retry-After 秒后重试。
502UPSTREAM_ERROR引擎返回了无法使用的内容。请退避后重试。
503SERVICE_UNAVAILABLE临时故障。请退避后重试。

全部错误代码见 Errors。失败的调用不计费。

价格

价格 每次调用 $0.0012,每多一次调用加 $0.0012——最多再加 20 次,合计最多 $0.0252。标价;单日调用超过 1,000 次后单价下调。

说明

  • 传入搜索结果项的 id 或 url。
  • include=offers 会附上销售该商品的所有商家:页面显示的 3 家之后每次请求 10 家,每次请求 1 个单位(offers:5 为 5 次,offers:all 最多 20 次)。

本页内容